%define major		0
%define api		3
%define libname		%mklibname gnome-menu %{api} %{major}
%define gi_name		%mklibname gmenu-gir %{api}.0
%define libnamedev	%mklibname -d gnome-menu

%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	GNOME menu library
Name:		gnome-menus
Version:	3.10.1
Release:	%mkrel 2
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0: 	gnome-menus-3.10.1-git94ba6e23c0.patch
License:	LGPLv2+
Group:		System/Libraries
Url:		http://www.gnome.org
BuildRequires: gettext
BuildRequires: intltool
BuildRequires: python-devel
BuildRequires: %{_lib}girepository-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}glib2.0_0
Obsoletes:	python-%{name}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:
http://www.freedesktop.org/Standards/menu-spec

Also contained here are the GNOME menu layout configuration files,
.directory files and assorted menu related utility programs.


%package devel
Group:		Development/Libraries
Summary:	GNOME menu library development files
Requires:	%{name} = %{version}
Provides:	libgnome-menu-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}


%description devel
The package contains an implementation of the draft "Desktop Menu
Specification" from freedesktop.org:
http://www.freedesktop.org/Standards/menu-spec

%prep
%setup -q
%apply_patches

%build
%configure2_5x --disable-static --enable-introspection
%make

%install
rm -rf %{buildroot} %name.lang
%makeinstall_std

find %{buildroot} -name *.la | xargs rm

%find_lang %{name}-3.0

mkdir -p %{buildroot}%{_sysconfdir}/xdg/gnome
mv %{buildroot}%{_sysconfdir}/xdg/menus %{buildroot}%{_sysconfdir}/xdg/gnome

%files -f %{name}-3.0.lang
%defattr(-,root,root)
%doc README NEWS HACKING AUTHORS ChangeLog
%{_datadir}/desktop-directories/*
%dir %{_sysconfdir}/xdg/gnome
%dir %{_sysconfdir}/xdg/gnome/menus
%config(noreplace) %{_sysconfdir}/xdg/gnome/menus/*
%{_libdir}/libgnome-menu-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/GMenu-%{api}.0.typelib

%files devel
%defattr(-,root,root)
%{_libdir}/lib*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc
%{_datadir}/gir-1.0/GMenu-%{api}.0.gir

%clean
rm -rf %{buildroot}

%changelog
* Wed Apr 16 2014 bb <bb> 3.10.1-2pclos2014
- add crash patch from fedora

* Fri Oct 18 2013 bb <bb> 3.10.1-1pclos2013
- re-import into pclos for cinnamon
